> ## Documentation Index
> Fetch the complete documentation index at: https://jobo.world/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all auto-apply profiles



## OpenAPI

````yaml /openapi.yaml get /api/auto-apply/profiles
openapi: 3.1.0
info:
  title: Jobo Enterprise API
  description: >
    The Jobo Enterprise API provides programmatic access to job listings,
    intelligent search,

    real-time feeds, automated job applications, and geocoding services.
  version: 1.0.0
  contact:
    name: Jobo Support
    url: https://jobo.world
    email: support@jobo.world
servers:
  - url: https://connect.jobo.world
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Jobs Search
    description: Search and retrieve job listings
  - name: Jobs Feed
    description: Bulk job feeds and expiration tracking
  - name: Career Sites Feed
    description: Bulk feed of newly discovered career sites with enriched company profiles
  - name: Companies
    description: Company profiles and company-scoped job listings
  - name: Auto Apply
    description: Automated job application sessions
  - name: Auto Apply Profiles
    description: Manage applicant profiles for auto-apply
  - name: Locations
    description: Geocoding and location services
paths:
  /api/auto-apply/profiles:
    get:
      tags:
        - Auto Apply Profiles
      summary: List all auto-apply profiles
      operationId: listAutoApplyProfiles
      responses:
        '200':
          description: Array of profiles
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AutoApplyProfileResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    AutoApplyProfileResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
          format: email
        phone:
          type: string
        linkedin_url:
          type: string
          nullable: true
        website_url:
          type: string
          nullable: true
        portfolio_url:
          type: string
          nullable: true
        address_line1:
          type: string
          nullable: true
        address_line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        zip_code:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        resume_text:
          type: string
          nullable: true
        resume_file_path:
          type: string
          nullable: true
        cover_letter_template:
          type: string
          nullable: true
        work_authorization:
          type: string
          nullable: true
        requires_sponsorship:
          type: boolean
          nullable: true
        gender:
          type: string
          nullable: true
        ethnicity:
          type: string
          nullable: true
        veteran_status:
          type: string
          nullable: true
        disability_status:
          type: string
          nullable: true
        desired_salary:
          type: string
          nullable: true
        salary_expectation_currency:
          type: string
          nullable: true
        available_start_date:
          type: string
          nullable: true
        willing_to_relocate:
          type: boolean
          nullable: true
        highest_degree:
          type: string
          nullable: true
        field_of_study:
          type: string
          nullable: true
        university:
          type: string
          nullable: true
        graduation_year:
          type: string
          nullable: true
        years_of_experience:
          type: string
          nullable: true
        current_job_title:
          type: string
          nullable: true
        current_company:
          type: string
          nullable: true
        custom_answers:
          type: object
          additionalProperties:
            type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  responses:
    Unauthorized:
      description: Missing or invalid API key
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key provided by Jobo

````